<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__aiosc__char__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_aiosc_char_t</compoundname>
    <includes local="no">cy_ble_aios.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__aiosc__char__t_1ac93ff4b4c5a88076aab984656c7ee7ef" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_aiosc_char_t::valueHandle</definition>
        <argsstring />
        <name>valueHandle</name>
        <briefdescription>
<para>Handle of Characteristic Value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_aios.h" bodystart="117" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_aios.h" line="117" />
      </memberdef>
      <memberdef id="structcy__stc__ble__aiosc__char__t_1a1828bed41ef9dfd20298cb8ce0a2e5a5" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_aiosc_char_t::endHandle</definition>
        <argsstring />
        <name>endHandle</name>
        <briefdescription>
<para>End handle of Characteristic. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_aios.h" bodystart="118" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_aios.h" line="118" />
      </memberdef>
      <memberdef id="structcy__stc__ble__aiosc__char__t_1a484c3530e1a97ecd23ef89de353f59ec" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_aiosc_char_t::descrHandle[CY_BLE_AIOS_DESCR_COUNT]</definition>
        <argsstring>[CY_BLE_AIOS_DESCR_COUNT]</argsstring>
        <name>descrHandle</name>
        <briefdescription>
<para>Array of Descriptor handles. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_aios.h" bodystart="119" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_aios.h" line="119" />
      </memberdef>
      <memberdef id="structcy__stc__ble__aiosc__char__t_1a4e6cb95f43b18e36bd17575fb1c096cc" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_aiosc_char_t::properties</definition>
        <argsstring />
        <name>properties</name>
        <briefdescription>
<para>Properties for Value Field. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_aios.h" bodystart="120" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_aios.h" line="120" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>AIOS Characteristic with descriptors. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="121" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_aios.h" bodystart="115" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_aios.h" line="116" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__aiosc__char__t_1a484c3530e1a97ecd23ef89de353f59ec" virt="non-virtual"><scope>cy_stc_ble_aiosc_char_t</scope><name>descrHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__aiosc__char__t_1a1828bed41ef9dfd20298cb8ce0a2e5a5" virt="non-virtual"><scope>cy_stc_ble_aiosc_char_t</scope><name>endHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__aiosc__char__t_1a4e6cb95f43b18e36bd17575fb1c096cc" virt="non-virtual"><scope>cy_stc_ble_aiosc_char_t</scope><name>properties</name></member>
      <member prot="public" refid="structcy__stc__ble__aiosc__char__t_1ac93ff4b4c5a88076aab984656c7ee7ef" virt="non-virtual"><scope>cy_stc_ble_aiosc_char_t</scope><name>valueHandle</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>